return Def.ActorFrame {
	LoadFont("_join")..{
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_HEIGHT/4*3);
		OnCommand=cmd(playcommand,"Refresh");
		CoinInsertedMessageCommand=cmd(playcommand,"Refresh");
		CoinModeChangedMessageCommand=cmd(playcommand,"Refresh");
		RefreshCommand=function(self)
			local bCanPlay = GAMESTATE:EnoughCreditsToJoin();
			local bReady = GAMESTATE:GetNumSidesJoined() > 0;
			local sText = ""

			if GAMESTATE:IsEventMode() then
				sText = "EVENT MODE";
			else
		        if GAMESTATE:GetCoinMode() == 'CoinMode_Free' then
		          sText = "FREE PLAY";
		        else
					if bCanPlay or bReady then
						sText = "Press START";
					else
						sText = "INSERT COIN(S)";
					end
		        end
			end

			self:settext( sText );
			self:diffuseshift();
			self:effectcolor1(color("#0800A800"));
			self:effectcolor2(color("#0800A8"));
			self:effectperiod(.5);
		end;
	};
}